function plotsettcirc(handles,datadim,datasizes,modes)

iscirc=1;
axes(handles.mainframe1);
set(handles.radiobutton14,'Value',1);
[s,wt]=vsettings(datadim,datasizes,iscirc);
if datadim==1
    cla;
    set(handles.popupmenu2,'String',wt);
    set(handles.popupmenu2,'Value',1);
    set(handles.popupmenu10,'String',s);
    set(handles.popupmenu10,'Value',1);
    plot(modes{1});
    axis xy;
elseif datadim==2
    cla;
    R=0.25;
    r=R/100:R/100:R;
    phi=0:2*pi/50:2*pi;
    [th,rq] = meshgrid(phi,r);
    [X_1,Y_1,Z_1] = pol2cart(th,rq,modes{1}');
    h = polar([0 2*pi], [0 R]);
    delete(h)
    hold on;
    surf(X_1,Y_1,Z_1);
    hold off;
    shading interp;
    set(findall(gca,'Type','patch'),'FaceColor','none');
    axis xy;
    nbcol=256; bright=0;
    colormap(jet(nbcol));
    set(handles.slider1,'Value',nbcol); set(handles.slider2,'Value',bright);
    set(handles.edit8,'String',num2str(nbcol)); set(handles.edit9,'String',num2str(bright));
    c=colorbar('location','southoutside');
    cpos = get(c,'Position');
    cpos=[0.052657004830918 0.083762149799886 0.435748792270531 0.5*cpos(4)];
    set(c,'Position',cpos);
    set(handles.mainframe1,'Position',[53 90 450 450]);
    set(handles.popupmenu10,'String',s);
    set(handles.popupmenu10,'Value',2);
    set(handles.popupmenu2,'String',wt);
    set(handles.popupmenu2,'Value',1);
elseif datadim==3
    set(handles.popupmenu10,'String',s);
    set(handles.popupmenu10,'Value',1);
    set(handles.popupmenu2,'String',wt);
    set(handles.popupmenu2,'Value',1);
end